Subject: RE: [Enum] please post issues from yesterdays session

From: "Stastny Richard" <[email-masked]>
Date: Tue, 29 Nov 2005 16:11:07 +0100

For the avoidance of doubt, I did not question cases a) or
c), and as Rich explained, they are completely feasible.

What I questioned was the statement in b) "to make
data public available on a national basis" and 
how this works.

IMHO data are either public available or not,
there is no way now-a-days to make data public
available on a national basis.

Richard

> -----Original Message-----
> From: Richard Shockey [mailto:[email-masked]]
> Sent: Tuesday, November 29, 2005 3:59 PM
> To: Livingood, Jason
> Cc: Stastny Richard; Carsten Schiefner; [email-masked];
> [email-masked]
> Subject: Re: [Enum] please post issues from yesterdays session
> 
> Livingood, Jason wrote:
> >>apologies for jumping in, I did not completely follow this
> >>thread being busy otherwise, but could anybody please explain
> >>to me how this is intended to be implemented technically?
> >>
> >>
> >>>(b) openly available, but possibly on a national basis and
> >>
> >>subject to
> >>
> >>>or in accordance with national
> >>
> >>regulatory
> >>
> >>>policy,
> >>
> >>How is data in the DNS openly available, but only on a national
basis?
> >
> >
> > Below is the full text of section 3, as it stands right now, for
your
> > review.
> >
> > To answer your question, we see three ways this could be
distributed:
> > 1.  ("a" in the list below) Privately.  For example, by agreement
> > between a data provider (Verisign, Telcordia, Neustar, etc.) and a
> > service provider.
> 
> 
> Exactly ... this BTW is how LNP data is distrubuted now in the US via
a
> private d/l ( known as a LSMS interface) into a network service
> providers signalling infrastructure. There it is merged with other
> internal signalling data to create a comprehensive routing table.
> 
> In PSTN terms this is known as a Service Control Point or SCP.
> 
> >
> > 2.  ("c" in the list below) Distributed by the NRA or other industry
> > organization.  For example, in Austria, you may decide to create an
> > industry group to enable LNP and then have that entity distribute
the
> > data via these NAPTRs to member companies or other relevant users
inside
> > and outside of Austria in accordance with whatever policy is put in
> > place by the group or NRA.
> 
> 
> >
> > 3.  ("b" in the list below -- this is the one you are questioning)
> > Openly available.  For example, in Austria, you create NAPTRs for
LNP
> > and make it available to anyone who wishes to use it but in
accordance
> > with rules of the NRA.
> 
> Just because we do it this way in the US does not mean that it has to
be
> that way in other jurisdictions. Policy over LNP data is presumed to
be
> a national matter.
> 
> >
> > These items have evolved quickly over the past few days.  I think
what
> > you have done is pointed out a flaw in the logic that has developed
> > between options "c" and "b."
> 
> 
> What seems to confuse everyone looking at this is the difference
between
> the DNS as the global distributed directory for domain names and the
use
> of DNS "technology" as a query response mechanism to a database.
> 
> The use case here is for the query response to a highly cached local
> database of routing data to be DNS. Of course it could be SIP redirect
> but the DNS is prefered for several reasons, principally speed and the
> ability to look at multiple trees internally cached or externally
> visable for a SIP proxy or other network element to delier the data
> necessary for a routing decision.
> 
> 
> The use case justification is that major service providers want the
> query to be executed as close to the network elements as possible for
> speed redundancy and optimization.
> 
> This then puts a burden on T1 like registries to be able to PUSH data
> into private network configurations.
> 
> 
> 
> 
> >
> > Perhaps it is best to simply leave "b" as "openly available" and
make
> > "c" read as such: (c) distributed by the relevant number portability
> > organization or other industry organization, <ADDED TEXT> but
possibly
> > on a national basis and subject to or in accordance with national
> > regulatory policy </ADDED TEXT>.
> >
> > Thoughts on this?
> >
> > ===============================
> > 3. Distribution of Data
> >
> > The distribution of number portability data is often highly
restricted
> > either by contract or regulation of a National Regulatory Authority
> > (NRA), therefore NAPTR records specified herein may or may not be
part
> > of the e164.arpa DNS tree.
> >
> > The NAPTR records described herein probably would not be part of the
> > e164.arpa DNS tree.  Distribution of this NAPTR data would be either
(a)
> > on a private basis (within a service provider's internal network, or
on
> > a private basis between one or more parties using a variety of
security
> > mechanisms to prohibit general public access), (b) openly available,
but
> > possibly on a national basis and subject to or in accordance with
> > national regulatory policy, or (c) distributed by the relevant
number
> > portability organization or other industry organization.
> >
> > The authors believe that it is more likely that these records will
be
> > distributed on a purely private basis.  If such data was distributed
> > nationally, the national telephone numbering authority, or some
other
> > regulatory body or numbering organization, may have jurisdiction.
Such
> > a body may choose to restrict distribution of the data in such a way
> > that it may not pass over that country's national borders.  How
number
> > portability data is collected and distributed is out of scope of
this
> > document.
> >
> > Jason
> >
> > _______________________________________________
> > enum mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/enum
> >
> 
> 
> --
> 
> 
>  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
> Richard Shockey, Director - Member of Technical Staff
> NeuStar Inc.
> 46000 Center Oak Plaza  -   Sterling, VA  20166
> sip:rshockey(at)iptel.org   sip:57141(at)fwd.pulver.com
> ENUM +87810-13313-31331
> PSTN Office +1 571.434.5651 PSTN Mobile +1 703.593.2683
> Fax: +1 815.333.1237
> <mailto:richard(at)shockey.us> or
> <mailto:richard.shockey(at)neustar.biz>
> <http://www.neustar.biz> ; <http://www.enum.org>
> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: lconroy <[email-masked]>
Date: Wed, 30 Nov 2005 00:24:46 +0000

Hi folks,
  To reinforce this question...
B is the only question.

(a) and (c) are fine - do whatever you (and your regulator) want;
technically these options both work (one can use DNS, the other
using whatever arcane distribution method seems suitable - CSV, ...).

(b) is the big issue - if this data is shipped over the Internet
[you did say freely available, right?], then you can't restrict this
to a national basis.

Perhaps some people have been breathing the air in Tunis too much.
Outside of the great fireWall of China, possibly Iran, and (in their  
dreams)
a few other Countries, the Internet doesn't stop at National borders.

Please explain in detail how (b) is going to work technically with
any protocol; if there is no such explanation, then it should not be
in the document, IMHO.

all the best,
   Lawrence